gnutls_hex2bin(3)

NAME
gnutls_hex2bin - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hex2bin(const char * hex_data, size_t hex_size, void * bin_data, size_t * bin_size);

ARGUMENTS

const char * hex_data
    string with data in hex format

size_t hex_size
    size of hex data

void * bin_data
    output array with binary data

size_t * bin_size
    when calling should hold maximum size of bin_data , on return will hold actual length of bin_data .

DESCRIPTION
Convert a buffer with hex data to binary data.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/